! +++++++++++++++++++++++++++++++++++++++++++
! MIDAS procedure to plot the ISAAC DARK_SW_DC_5 trending report
! generated by trendPlotter
!
! use via @@ report_DARK_SW_DC_5  option graph_flag output_flag
!            option = CLOSEUP or MAIN
!            graph_flag = YES or NO (default) to display the plots
!            output_flag = YES or NO (default) to show any command output
!
! 080411        last modif
!
! +++++++++++++++++++++++++++++++++++++++++++

dfo/on
def/loc xsize/i/1/1	!xsize of box (all in mm)
def/loc ysize/i/1/1	!ysize of box
def/loc xoff/i/1/1	!xoffset of box 
def/loc yoff/i/1/1	!yoffset of box
def/loc xlab/i/1/1	!xposition of label
def/loc ylab/i/1/1	!yposition of label
def/loc xmin/r/1/1	
def/loc xmax/r/1/1	

def/loc ycolor/i/1/1

def/loc LL/i/1/1	!index for date loop
def/loc dlab/r/1/1	!yposition of date label
def/loc	xdate/r/1/1	!xposition for date label
def/loc	ldate/c/1/10	!date label
def/loc	sdate/r/1/1	!relative size of date label

def/loc last_yn/c/1/3	
def/loc outl/c/1/5
def/loc mark_aliens/c/1/3 YES
def/loc mark_dates/c/1/3  YES

def/loc mark_mjd/r/1/1	
def/loc parset_number/i/1/1 !to mark the first parameter set per plot

def/loc source/c/1/10		!to store data source
def/loc avg/c/1/6	
def/loc sigma/r/1/1
def/loc	delta/r/1/1 
def/loc avg_val/r/1/1
def/loc	tot_num/i/1/1		!total number of entries

def/loc val_flag/c/1/3 no
def/loc per_flag/c/1/3 no
def/loc off_flag/c/1/3 no
def/loc plusm/c/1/10
def/loc tmode/c/1/10 PARTIAL

def/loc thresh/c/1/20
def/loc thresh1/r/1/1
def/loc thresh2/r/1/1
def/loc thmethod/c/1/20

def/loc xparam/c/1/10		
def/par P1 ? C "switch (MAIN or CLOSEUP) ? "
def/par P2 NO C "plot graphics YES/NO?"
define/param P3 NO  C "show output YES/NO?"

def/loc midas_disp/c/1/3 {p2}
if p3(1:1) .eq. "Y" then
   set/midas output=y
else
   set/midas output=logonly
endif

! ------------------------------------------
! General part 
! ------------------------------------------

if midas_disp .eq. "YES" then 
	cre/grap 0 640,430,0,600
else
	assign/grap postscript 
endif

! general plot settings
set/grap font=1 pmode=1 lwidth=1 

! dummy plot to have coordinates right for header
set/grap  color=0
plot/axes ? ? -80,-50,20,58 " " " "
set/grap color=1

! header

label/grap "ISAAC: DARK parameters SW-DoubleCorr (last 90 days, close-up)"  -19,68,mm ? 2.5 1 
label/grap "QC data range: 2008-01-12 ... 2008-03-30; last OPSLOG data: 2008-04-09" -19,63,mm ? 2 1
over/line 1 -19,60,mm 172,60,mm

! signature
label/grap "created by trendPlotter v1.5.2 on 2008-04-10T08:23:13" 170,-55,mm ? 1.3 2

! date table
cre/tab date.tbl 3 500 date1.dat date.fmt

! ------------------------------------------
! Create plot 5: RON_12_LL
! ------------------------------------------

xsize = -150; ysize = -70
xoff  = 20;  yoff  = 20
xlab  = -6;  ylab  = 77
sdate = 1.4

parset_number = 1

! ------------------------------------------
! Plot parameter set: p_R_LL
! ------------------------------------------

source = "OPSLOG"
last_yn = "YES"
xparam  = "mjd_obs"

! statistics parameters
avg      = "NONE"
thmethod = "NONE"

outl   = "NONE"

! create data table
cre/tab p_R_LL.tbl 3 1000 input_p_R_LL p_R_LL.fmt

! apply optional COMPUTE_RULE


! specify xaxis and yaxis for plot
set/grap xaxis=54472.5,54571.5,50,10 
set/grap yaxis=0,5.5 
set/grap xformat=AUTO	!MARK_XFORM
set/grap yformat=AUTO	!MARK_YFORM

! symbols per YPARAM
if parset_number .eq. 1 then
	over/axes ? ? {xsize},{ysize},{xoff},{yoff} "MJD_OBS" "ADU"
	set/grap color=4
	over/symbol 21 {xlab},{ylab},mm 3
	set/grap color=5
	label/grap "5" {xlab},{ylab},mm ? 1.5
	set/grap color=1
	xlab = 2
	ylab = -ysize-3
	label/grap "RON_LL " {xlab},{ylab},mm ? 1.8 1
endif

! plot table content (marking is done to replace ssize later for closeup plot)
set/grap ssize=0.8
ycolor = 4
set/grap color={ycolor}
sort/tab p_R_LL.tbl :MJD
over/table p_R_LL.tbl :mjd_obs :qc_LL_ron12 18 ? 
set/grap color=1

! mark aliens = data points outside the y range of the box; mark by arrows
if mark_aliens .eq. "YES" then
	$rm -f work.tbl
	select/tab p_R_LL.tbl :qc_LL_ron12 .gt. 5.5
	merge/tab p_R_LL.tbl work.tbl
	comp/tab work :qc_LL_ron12 = (5.5-0)*0.88+0
	set/grap ssize=2 color=2
	over/tab work :mjd_obs :qc_LL_ron12 15
	set/grap ssize=0.3 color=2
	over/tab work :mjd_obs :qc_LL_ron12 18

	$rm -f work.tbl
	select/tab p_R_LL.tbl :qc_LL_ron12 .lt. 0
	merge/tab p_R_LL.tbl work
	set/grap ssize=2 color=2
	comp/tab work :qc_LL_ron12 = (5.5-0)*0.12+0
	over/tab work :mjd_obs :qc_LL_ron12 17
	set/grap ssize=0.3 color=2
	over/tab work :mjd_obs :qc_LL_ron12 18

	set/grap color=1
endif

! average
set/format I1 E15.5
select/tab p_R_LL.tbl ALL

! avg = NONE
if avg .eq. "NONE" then	
	avg = "none"
	outputi(2) = 0
	stat/tab p_R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)
	avg_val = -999
	sigma   = -999
endif

! avg = MEAN
if avg .eq. "MEAN" then	
	outputi(2) = 0
	stat/tab p_R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)

	if tot_num .eq. 0 then
		avg_val = -999
		sigma   = 0
			
! define thresholds for rejecting outliers in the statistics (clipping): SIG, PER, OFF only
! we relax boundaries by 1% in order not to run into rounding problems in case of small tot_num
	elseif thmethod .eq. "SIG" then 
		thresh1 = 0.99*outputr(3)-*outputr(4)
		thresh2 = 1.01*outputr(3)+*outputr(4)
		select/tab p_R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   p_R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! percentage of mean
	elseif thmethod .eq. "PER" then
		thresh1 = 0.99*outputr(3)*(1-/100)
		thresh2 = 1.01*outputr(3)*(1+/100)
		select/tab p_R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   p_R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! fixed offset around mean
	elseif thmethod .eq. "OFF" then
		thresh1 = 0.99*outputr(3)-
		thresh2 = 1.01*outputr(3)+
		select/tab p_R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   p_R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! no clipping
	else
		avg_val = outputr(3)
		sigma   = outputr(4)
	endif

! do statistics
	if avg_val .gt. 0 .and. avg_val .lt. 5.5 over/line 1 54472.5,{avg_val} 54571.5,{avg_val}
endif

! avg = MEDIAN
if avg .eq. "MEDIAN" then
! check for empty median table...
	outputi(2) = 0
	stat/tab p_R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)
	if tot_num .eq. 0 then
		avg_val = -999
		sigma   = 0
	else
		cre/tab median.tbl
		copy/tt p_R_LL.tbl :qc_LL_ron12 median.tbl :qc_LL_ron12
		copy/ti median.tbl median.bdf
		stat/ima median.bdf option=G	!exact median
		!tot_num = outputi(2)
		tot_num = outputi(1)	!stat/ima --> outputi(1)

! define thresholds for rejecting outliers in the statistics
		if thmethod .eq. "SIG" then
			thresh1 = 0.99*outputr(8)-*outputr(4)
			thresh2 = 1.01*outputr(8)+*outputr(4)
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! percentage of median
		elseif thmethod .eq. "PER" then
			thresh1 = 0.99*outputr(8) * (1-/100)
			thresh2 = 1.01*outputr(8) * (1+/100)
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! fixed offset around median
		elseif thmethod .eq. "OFF" then
			thresh1 = 0.99*outputr(8)-
			thresh2 = 1.01*outputr(8)+
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! no thresholds set
		else
			avg_val = outputr(8)
			sigma   = outputr(4)
		endif

! do statistics
	endif
	if avg_val .gt. 0 .and. avg_val .lt. 5.5 over/line 1 54472.5,{avg_val} 54571.5,{avg_val}
endif

delta = -999 
off_flag = "no"

if thmethod .ne. "NONE" then
	!set/format I1 T5.3
	if thmethod .eq. "SIG" then 
		val_flag = "no"
		per_flag = "no"
		off_flag = "no"
		delta = *sigma
		thresh2 = avg_val + delta
		thresh1 = avg_val - delta
		plusm = "&plusmn;"
	elseif thmethod .eq. "VAL" then
		val_flag = "yes"
		per_flag = "no"
		off_flag = "no"
		thresh1 = 
		thresh2 = 
		plusm = " "
	elseif thmethod .eq. "PER" then
		val_flag = "no"
		per_flag = "yes"
		off_flag = "no"
		delta = *avg_val/100
		thresh1 = avg_val * (1 - /100)
		thresh2 = avg_val * (1 + /100)
		plusm = "&plusmn;"
	elseif thmethod .eq. "OFF" then
		val_flag = "no"
		per_flag = "no"
		off_flag = "yes"
		delta = 
		thresh1 = avg_val - 
		thresh2 = avg_val + 
		plusm = "&plusmn;"
	endif

! erase outlier points, mark them as outliers (with different symbol as before)

	if outl .eq. "YES" then
		select/tab p_R_LL.tbl :qc_LL_ron12 .gt. {thresh2} .or. :qc_LL_ron12 .lt. {thresh1}
		set/grap color=0 ssize=1
		if tmode .eq. "FULL" set/grap ssize=0.5	!FULL range: smaller symbols!
		over/tab p_R_LL.tbl :mjd_obs :qc_LL_ron12 18
		if ycolor .ne. 2 then 
			set/grap color=2
		else
			set/grap color=4
		endif
		over/tab p_R_LL.tbl :mjd_obs :qc_LL_ron12 7
	endif

! plot thesholds
	set/grap color=1
	if thresh1 .ge. 0 over/line 2 54472.5,{thresh1} 54571.5,{thresh1}
	if thresh2 .le. 5.5 over/line 2 54472.5,{thresh2} 54571.5,{thresh2}
else
	val_flag = "no"
	per_flag = "no"
	off_flag = "no"
	plusm = " "
endif	

! output for HTML page
if P1 .eq. "MAIN" then
	!set/format I1 T5.3
	set/format I1 T7.5
	if source .ne. "OPSLOG" then
		$echo "<tr bgcolor=\"#ffffff\" valign=top align=left>" 	>> stat_results
		$echo "<td align=center><font size=2><b>5</b></td>"	>> stat_results
		$echo "<td align=center><font color=#3333FF>" 		>> stat_results
		$echo "<font size=4>&#149;</font></td><td bgcolor=#66CCFF><font size=2><tt>OPSLOG</tt></td>"  			>> stat_results
		$echo "" 						>> stat_results
		$echo "<td><font size=2><tt>{avg}</tt></td>" 			>> stat_results
		$echo "<td align=right><font size=2><tt><b>{avg_val}</tt></td>" >> stat_results
		$echo "<td><font size=2><tt>ADU</tt></td>"			>> stat_results
	endif

! configured thresholds
	if val_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>none</tt></td><td nowrap align=right><font size=2><tt><b></tt></td>" >> stat_results
		$echo "5 RON_12_LL OPSLOG {avg} {avg_val} none  {tot_num}" >> stat_text_ops
! percentage thresholds
	elseif per_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>none</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL OPSLOG {avg} {avg_val} PERnone {delta} {tot_num}" >> stat_text_ops
! offset thresholds
	elseif off_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>NONE</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL OPSLOG {avg} {avg_val} NONE {delta} {tot_num}" >> stat_text_ops
! no thresholds
	else
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>none</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL OPSLOG {avg} {avg_val} none {delta} {tot_num}" >> stat_text_ops
	endif

	if source .ne. "OPSLOG" then
		$echo "<td align=right><font size=2><tt>{tot_num}</tt></td>" >> stat_results
		$cat downloads_p_R_LL >>stat_results
		$echo \"<td><font size=2><i>latest data from Paranal ops logs</i></td></tr>\"           >>stat_results
	endif

endif

! MARK_LAST_PLOT = YES --> mark last entry


if last_yn .eq. "YES" then 
	select/tab p_R_LL.tbl ABS(:MJD-54565.442802) .lt. 1
	set/grap color=6 ssize=1.5
	over/tab p_R_LL.tbl :mjd_obs :qc_LL_ron12 18
	set/grap color=1 ssize=0.5
	over/tab p_R_LL.tbl :mjd_obs :qc_LL_ron12 18
endif

! apply optional FIT_RULE
!NONE

! mark CIVIL_DATE lines
if parset_number .eq. 1 then
	if mark_dates .eq. "YES" .and. xparam .eq. "mjd_obs" then

	select/tab date.tbl :MJD .ge. 54472.5 .and. :MJD .le. 54571.5 

	if tmode .eq. "FULL" then 
		select/tab date.tbl SELECT .and. (:MONTH .eq. "01" .or. :MONTH .eq. "07")
	endif

	merge/tab date.tbl date_work.tbl
	stat/tab date_work.tbl :MJD
	dlab = 5.5 + (5.5-0)*0.04

	DO LL = 1 {outputi(2)} 1
		xdate = m$value(date_work.tbl,:MJD,@{LL})
        	ldate = m$value(date_work.tbl,:DATE,@{LL})
                over/line 2 {xdate},0 {xdate},5.5
                label/grap {ldate} {xdate},{dlab} 90 {sdate} 1         
	ENDDO
	endif
endif

parset_number = parset_number + 1

! ------------------------------------------
! Plot parameter set: R_LL
! ------------------------------------------

source = "QC1DB"
last_yn = "NO"
xparam  = "mjd_obs"

! statistics parameters
avg      = "MEDIAN"
thmethod = "VAL"

outl   = "YES"

! create data table
cre/tab R_LL.tbl 3 1000 input_R_LL R_LL.fmt

! apply optional COMPUTE_RULE


! specify xaxis and yaxis for plot
set/grap xaxis=54472.5,54571.5,50,10 
set/grap yaxis=0,5.5 
set/grap xformat=AUTO	!MARK_XFORM
set/grap yformat=AUTO	!MARK_YFORM

! symbols per YPARAM
if parset_number .eq. 1 then
	over/axes ? ? {xsize},{ysize},{xoff},{yoff} "MJD_OBS" "ADU"
	set/grap color=4
	over/symbol 21 {xlab},{ylab},mm 3
	set/grap color=5
	label/grap "5" {xlab},{ylab},mm ? 1.5
	set/grap color=1
	xlab = 2
	ylab = -ysize-3
	label/grap "RON_LL " {xlab},{ylab},mm ? 1.8 1
endif

! plot table content (marking is done to replace ssize later for closeup plot)
set/grap ssize=0.8
ycolor = 2
set/grap color={ycolor}
sort/tab R_LL.tbl :MJD
over/table R_LL.tbl :mjd_obs :qc_LL_ron12 18 ? 
set/grap color=1

! mark aliens = data points outside the y range of the box; mark by arrows
if mark_aliens .eq. "YES" then
	$rm -f work.tbl
	select/tab R_LL.tbl :qc_LL_ron12 .gt. 5.5
	merge/tab R_LL.tbl work.tbl
	comp/tab work :qc_LL_ron12 = (5.5-0)*0.88+0
	set/grap ssize=2 color=2
	over/tab work :mjd_obs :qc_LL_ron12 15
	set/grap ssize=0.3 color=2
	over/tab work :mjd_obs :qc_LL_ron12 18

	$rm -f work.tbl
	select/tab R_LL.tbl :qc_LL_ron12 .lt. 0
	merge/tab R_LL.tbl work
	set/grap ssize=2 color=2
	comp/tab work :qc_LL_ron12 = (5.5-0)*0.12+0
	over/tab work :mjd_obs :qc_LL_ron12 17
	set/grap ssize=0.3 color=2
	over/tab work :mjd_obs :qc_LL_ron12 18

	set/grap color=1
endif

! average
set/format I1 E15.5
select/tab R_LL.tbl ALL

! avg = NONE
if avg .eq. "NONE" then	
	avg = "none"
	outputi(2) = 0
	stat/tab R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)
	avg_val = -999
	sigma   = -999
endif

! avg = MEAN
if avg .eq. "MEAN" then	
	outputi(2) = 0
	stat/tab R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)

	if tot_num .eq. 0 then
		avg_val = -999
		sigma   = 0
			
! define thresholds for rejecting outliers in the statistics (clipping): SIG, PER, OFF only
! we relax boundaries by 1% in order not to run into rounding problems in case of small tot_num
	elseif thmethod .eq. "SIG" then 
		thresh1 = 0.99*outputr(3)-1,5*outputr(4)
		thresh2 = 1.01*outputr(3)+1,5*outputr(4)
		select/tab R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! percentage of mean
	elseif thmethod .eq. "PER" then
		thresh1 = 0.99*outputr(3)*(1-1,5/100)
		thresh2 = 1.01*outputr(3)*(1+1,5/100)
		select/tab R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! fixed offset around mean
	elseif thmethod .eq. "OFF" then
		thresh1 = 0.99*outputr(3)-1,5
		thresh2 = 1.01*outputr(3)+1,5
		select/tab R_LL.tbl :qc_LL_ron12 .ge. {thresh1} .and. :qc_LL_ron12 .le. {thresh2}
		stat/tab   R_LL.tbl :qc_LL_ron12 
		avg_val = outputr(3)
		sigma   = outputr(4)
! no clipping
	else
		avg_val = outputr(3)
		sigma   = outputr(4)
	endif

! do statistics
	if avg_val .gt. 0 .and. avg_val .lt. 5.5 over/line 1 54472.5,{avg_val} 54571.5,{avg_val}
endif

! avg = MEDIAN
if avg .eq. "MEDIAN" then
! check for empty median table...
	outputi(2) = 0
	stat/tab R_LL.tbl :qc_LL_ron12
	tot_num = outputi(2)
	if tot_num .eq. 0 then
		avg_val = -999
		sigma   = 0
	else
		cre/tab median.tbl
		copy/tt R_LL.tbl :qc_LL_ron12 median.tbl :qc_LL_ron12
		copy/ti median.tbl median.bdf
		stat/ima median.bdf option=G	!exact median
		!tot_num = outputi(2)
		tot_num = outputi(1)	!stat/ima --> outputi(1)

! define thresholds for rejecting outliers in the statistics
		if thmethod .eq. "SIG" then
			thresh1 = 0.99*outputr(8)-1,5*outputr(4)
			thresh2 = 1.01*outputr(8)+1,5*outputr(4)
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! percentage of median
		elseif thmethod .eq. "PER" then
			thresh1 = 0.99*outputr(8) * (1-1,5/100)
			thresh2 = 1.01*outputr(8) * (1+1,5/100)
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! fixed offset around median
		elseif thmethod .eq. "OFF" then
			thresh1 = 0.99*outputr(8)-1,5
			thresh2 = 1.01*outputr(8)+1,5
			stat/ima median.bdf exc={thresh1},{thresh2} opt=G
			avg_val = outputr(8)
			sigma   = outputr(4)
! no thresholds set
		else
			avg_val = outputr(8)
			sigma   = outputr(4)
		endif

! do statistics
	endif
	if avg_val .gt. 0 .and. avg_val .lt. 5.5 over/line 1 54472.5,{avg_val} 54571.5,{avg_val}
endif

delta = -999 
off_flag = "no"

if thmethod .ne. "NONE" then
	!set/format I1 T5.3
	if thmethod .eq. "SIG" then 
		val_flag = "no"
		per_flag = "no"
		off_flag = "no"
		delta = 1,5*sigma
		thresh2 = avg_val + delta
		thresh1 = avg_val - delta
		plusm = "&plusmn;"
	elseif thmethod .eq. "VAL" then
		val_flag = "yes"
		per_flag = "no"
		off_flag = "no"
		thresh1 = 1
		thresh2 = 5
		plusm = " "
	elseif thmethod .eq. "PER" then
		val_flag = "no"
		per_flag = "yes"
		off_flag = "no"
		delta = 1*avg_val/100
		thresh1 = avg_val * (1 - 1/100)
		thresh2 = avg_val * (1 + 1/100)
		plusm = "&plusmn;"
	elseif thmethod .eq. "OFF" then
		val_flag = "no"
		per_flag = "no"
		off_flag = "yes"
		delta = 1
		thresh1 = avg_val - 1
		thresh2 = avg_val + 1
		plusm = "&plusmn;"
	endif

! erase outlier points, mark them as outliers (with different symbol as before)

	if outl .eq. "YES" then
		select/tab R_LL.tbl :qc_LL_ron12 .gt. {thresh2} .or. :qc_LL_ron12 .lt. {thresh1}
		set/grap color=0 ssize=1
		if tmode .eq. "FULL" set/grap ssize=0.5	!FULL range: smaller symbols!
		over/tab R_LL.tbl :mjd_obs :qc_LL_ron12 18
		if ycolor .ne. 2 then 
			set/grap color=2
		else
			set/grap color=4
		endif
		over/tab R_LL.tbl :mjd_obs :qc_LL_ron12 7
	endif

! plot thesholds
	set/grap color=1
	if thresh1 .ge. 0 over/line 2 54472.5,{thresh1} 54571.5,{thresh1}
	if thresh2 .le. 5.5 over/line 2 54472.5,{thresh2} 54571.5,{thresh2}
else
	val_flag = "no"
	per_flag = "no"
	off_flag = "no"
	plusm = " "
endif	

! output for HTML page
if P1 .eq. "MAIN" then
	!set/format I1 T5.3
	set/format I1 T7.5
	if source .ne. "OPSLOG" then
		$echo "<tr bgcolor=\"#ffffff\" valign=top align=left>" 	>> stat_results
		$echo "<td align=center><font size=2><b>5</b></td>"	>> stat_results
		$echo "<td align=center><font color=#FF3333>" 		>> stat_results
		$echo "<font size=4>&#149;</font></td><td><font size=2><tt>QC1DB</tt></td>"  			>> stat_results
		$echo "<td bgcolor=#66CCFF align=left nowrap><font size=2>yes (NOPS_5)</td>" 						>> stat_results
		$echo "<td><font size=2><tt>{avg}</tt></td>" 			>> stat_results
		$echo "<td align=right><font size=2><tt><b>{avg_val}</tt></td>" >> stat_results
		$echo "<td><font size=2><tt>ADU</tt></td>"			>> stat_results
	endif

! configured thresholds
	if val_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>VAL</tt></td><td nowrap align=right><font size=2><tt><b>1,5</tt></td>" >> stat_results
		$echo "5 RON_12_LL QC1DB {avg} {avg_val} VAL 1,5 {tot_num}" >> stat_text
! percentage thresholds
	elseif per_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>VAL</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL QC1DB {avg} {avg_val} PERVAL {delta} {tot_num}" >> stat_text
! offset thresholds
	elseif off_flag .eq. "yes" then 
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>VAL</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL QC1DB {avg} {avg_val} VAL {delta} {tot_num}" >> stat_text
! no thresholds
	else
		if source .ne. "OPSLOG" $echo "<td><font size=2><tt>VAL</tt></td><td nowrap align=right><font size=2><tt><b>{plusm} {delta}</tt></td>" >> stat_results
		$echo "5 RON_12_LL QC1DB {avg} {avg_val} VAL {delta} {tot_num}" >> stat_text
	endif

	if source .ne. "OPSLOG" then
		$echo "<td align=right><font size=2><tt>{tot_num}</tt></td>" >> stat_results
		$cat downloads_R_LL >>stat_results
		$echo \"<td><font size=2>like Fig.2, lower left (LL) quadrant</td></tr>\"           >>stat_results
	endif

endif

! MARK_LAST_PLOT = YES --> mark last entry


if last_yn .eq. "YES" then 
	select/tab R_LL.tbl ABS(:MJD-54555.554260) .lt. 1
	set/grap color=6 ssize=1.2
	over/tab R_LL.tbl :mjd_obs :qc_LL_ron12 18
	set/grap color=1 ssize=0.4
	over/tab R_LL.tbl :mjd_obs :qc_LL_ron12 18
endif

! apply optional FIT_RULE
!NONE

! mark CIVIL_DATE lines
if parset_number .eq. 1 then
	if mark_dates .eq. "YES" .and. xparam .eq. "mjd_obs" then

	select/tab date.tbl :MJD .ge. 54472.5 .and. :MJD .le. 54571.5 

	if tmode .eq. "FULL" then 
		select/tab date.tbl SELECT .and. (:MONTH .eq. "01" .or. :MONTH .eq. "07")
	endif

	merge/tab date.tbl date_work.tbl
	stat/tab date_work.tbl :MJD
	dlab = 5.5 + (5.5-0)*0.04

	DO LL = 1 {outputi(2)} 1
		xdate = m$value(date_work.tbl,:MJD,@{LL})
        	ldate = m$value(date_work.tbl,:DATE,@{LL})
                over/line 2 {xdate},0 {xdate},5.5
                label/grap {ldate} {xdate},{dlab} 90 {sdate} 1         
	ENDDO
	endif
endif

parset_number = parset_number + 1
! cp to postscript
if midas_disp .eq. "YES" copy/grap postscript

$mv postscript.ps postscript-5.ps

!KB bye

