! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure verifyQC.prg  to verify the plotting procedures of QC
!  K. Banse     080410
!
!  using the report procedure written by the QC dept. of DMO
! 
!  option MAIN only does some additional HTML stuff we're not
!  interested in, so just use CLOSEUP as option for the QCplots
!  and we only have template plots of CLOSEUP for comparison!
! 
! 091029        last modif
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/param p1 3 n "enter switch:"
define/param p2 C C "enter CLOSEUP (default) or MAIN option:"
define/param p3 no C "enter plot flag (yes/plot or no):"
define/local kk/i/1/1 0
define/local option/c/1/8 "CLOSEUP "
if p2(1:1) .eq. "M" option = "MAIN "
!
define/local success/i/1/7 0 all 
define/local sc/i/1/5 0 all +low
sc(1) = m$secs()
! 
set/format i1
if p1 .eq. "2" then
   write/out only checking the results for option {option}:
   do kk = 1 6
      $ sh ./auxscript D postscript-{kk}.ps   qc-postscript-{kk}{option(1:1)}.ps
      inputi = 1
      write/keyword inputi/i/1/1 <auxscript.txt
      if inputi .ne. 0 success({kk}) = -1
   enddo
   $ sh ./auxscript D postscript.ps qc-postscript{option(1:1)}.ps
   inputi = 1
   write/keyword inputi/i/1/1 <auxscript.txt
   if inputi .ne. 0 success(7) = -1
   goto check_plot
endif
! 
define/local plotty/i/1/1 0
define/local plotcom/c/1/80 " " all
write/keyw plotcom "$ display -rotate 90          "
if p3 .ne. "NO" then			!see what display programs we have
   $ sh ./auxscript P display
   inputi = 1
   write/keyword inputi/i/1/1 <auxscript.txt
   if inputi .eq. 0 then
      plotty = 1
      goto next_step
   endif
					!ask user for viewing command
   in_a(1:2) = "X#"
   inquire/keyw in_a -
   "Enter viewer for final postscript file, or hit ENTER to skip viewing:"
   if in_a(1:2) .eq. "X#" goto next_step
   $ sh ./auxscript P {in_a}
   inputi = 1
   write/keyword inputi/i/1/1 <auxscript.txt
   if inputi .eq. 0 plotty = 1
endif
! 
next_step:
if p1 .eq. "1" then
   write/out creating the plots for option {option}:
   do kk = 1 6
      @@ report_DARK_SW_DC_{kk} {option}
   enddo
   @@ report_DARK_SW_DC {option}
   if plotty .eq. 1 {plotcom} postscript.ps
   goto last_part
endif
! 
if p1 .eq. "3" then
   write/out creating the plots + checking the results for option {option}:
   do kk = 1 6
      @@ report_DARK_SW_DC_{kk} {option}
      $ sh ./auxscript D postscript-{kk}.ps   qc-postscript-{kk}{option(1:1)}.ps
      inputi = 1
      write/keyword inputi/i/1/1 <auxscript.txt
      if inputi .ne. 0 success({kk}) = -1
   enddo
   @@ report_DARK_SW_DC {option}
   $ sh ./auxscript D postscript.ps qc-postscript{option(1:1)}.ps
   inputi = 1
   write/keyword inputi/i/1/1 <auxscript.txt
   if inputi .ne. 0 success(7) = -1
   if plotty .eq. 1 {plotcom} postscript.ps
endif
!
check_plot:
set/midas output=y
kk = 0;
do inputi = 1 6
   kk = kk + success({inputi})
   if success({inputi}) .ne. 0 then
      write/out  postscript-{inputi}.ps  not like original ...
   endif
enddo
kk = kk + success(7)
if success(7) .ne. 0 then
   write/out  final postscript.ps  not like original ...
endif
if kk .ne. 0 then
   write/out ***** verification of QC plots failed! *****
   return 1
else
   write/out ***** all plots o.k. *****
   return 0
endif
! 
last_part:
set/midas output=y
sc(2) = m$secs()
sc(3) = sc(2)-sc(1)
if p1 .ne. "2" write/out "elapsed time = {sc(3)} secs"
return 0
